USERMOD(8)

NAME
usermod - modify a user account

SYNOPSIS

usermod [options] LOGIN

DESCRIPTION

The usermod command modifies the system account files to reflect the changes that are specified on the command line.

OPTIONS

The options which apply to the usermod command are:

-a, --append GROUP
    Add the user to the supplemental group.

-c, --comment COMMENT
    The new value of the user's password file comment field. It is normally modified using the chfn(1) utility.

-d, --home HOME_DIR
    The user's new login directory. If the -m option is given the contents of the current home directory will be moved to the new home directory, which is created if it does not already exist.

-e, --expiredate EXPIRE_DATE
    The date on which the user account will be disabled. The date is specified in the format YYYY-MM-DD.

-f, --inactive INACTIVE
    The number of days after a password expires until the account is permanently disabled. A value of 0 disables the account as soon as the password has expired, and a value of -1 disables the feature. The default value is -1.

-g, --gid GROUP
    The group name or number of the user's new initial login group. The group name must exist. A group number must refer to an already existing group. The default group number is 1.

-G, --groups GROUP1[,GROUP2,...[,GROUPN]]]
    A list of supplementary groups which the user is also a member of. Each group is separated from the next by a comma, with no intervening whitespace. The groups are subject to the same restrictions as the group given with the -g option. If the user is currently a member of a group which is not listed, the user will be removed from the group. This behaviour can be changed via -a option, which appends user to the current supplementary group list.

-l, --login NEW_LOGIN
    The name of the user will be changed from LOGIN to NEW_LOGIN. Nothing else is changed. In particular, the user's home directory name should probably be changed to reflect the new login name.

-L, --lock
    Lock a user's password. This puts a '!' in front of the encrypted password, effectively disabling the password. You can't use this option with -p or -U.

-o, --non-unique
    When used with the -u option, this option allows to change the user ID to a non-unique value.

-p, --password PASSWORD
    The encrypted password, as returned by crypt(3).

-s, --shell SHELL
    The name of the user's new login shell. Setting this field to blank causes the system to select the default login shell.

-u, --uid UID
    The numerical value of the user's ID. This value must be unique, unless the -o option is used. The value must be non-negative. Values between 0 and 999 are typically reserved for system accounts. Any files which the user owns and which are located in the directory tree rooted at the user's home directory will have the file user ID changed automatically. Files outside of the user's home directory must be altered manually.

-U, --unlock
    Unlock a user's password. This removes the '!' in front of the encrypted password. You can't use this option with -p or -L.

CAVEATS

usermod will not allow you to change the name of a user who is logged in. You must make certain that the named user is not executing any processes when this command is being executed if the user's numerical user ID is being changed. You must change the owner of any crontab files manually. You must change the owner of any at jobs manually. You must make any changes involving NIS on the NIS server.

FILES

/etc/group
    Group account information.

/etc/passwd
    User account information.

/etc/shadow
    Secure user account information.

SEE ALSO

chfn(1), chsh(1), passwd(1), crypt(3), gpasswd(8), groupadd(8), groupdel(8), groupmod(8), login.defs(5), useradd(8), userdel(8).